Package be.fgov.ehealth.timestamping.protocol.v2

# Class TimeStampBagType

java.lang.Object
be.fgov.ehealth.timestamping.protocol.v2.TimeStampBagType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:22+02:00", comments="JAXB RI v4.0.5") public class TimeStampBagType extends Object implements Serializable
the time stamp bag that is send to behealth

Java class for TimeStampBagType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TimeStampBagType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="JournalEntry" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}JournalEntryType" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="Hash" use="required" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}HashType" />
           <attribute name="SequenceNumber" use="required" type="{http://www.w3.org/2001/XMLSchema}long" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeStampBagType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HashType`
  `getHash()`
  Gets the value of the hash property.
  `List<JournalEntryType>`
  `getJournalEntries()`
  Gets the value of the journalEntries property.
  `long`
  `getSequenceNumber()`
  Gets the value of the sequenceNumber property.
  `void`
  `setHash(HashType value)`
  Sets the value of the hash property.
  `void`
  `setSequenceNumber(long value)`
  Sets the value of the sequenceNumber property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeStampBagType

    public TimeStampBagType()

- ## Method Details

  - ### getJournalEntries

    public List<JournalEntryType> getJournalEntries()
    Gets the value of the journalEntries property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the journalEntries property.

    For example, to add a new item, do as follows:

         getJournalEntries().add(newItem);

    Objects of the following type(s) are allowed in the list `JournalEntryType`

    Returns:
      The value of the journalEntries property.

  - ### getHash

    public HashType getHash()
    Gets the value of the hash property.
    Returns:
      possible object is `HashType`

  - ### setHash

    public void setHash(HashType value)
    Sets the value of the hash property.
    Parameters:
      `value` - allowed object is `HashType`

  - ### getSequenceNumber

    public long getSequenceNumber()
    Gets the value of the sequenceNumber property.

  - ### setSequenceNumber

    public void setSequenceNumber(long value)
    Sets the value of the sequenceNumber property.